# Version of this schema
schema: 1

bugzilla:
  # Bugzilla product and component for this directory and subdirectories
  product: Core
  component: "Graphics: ImageLib"

# Document the source of externally hosted code
origin:

  # Short name of the package/library
  name: highway

  description: Performance-portable, length-agnostic SIMD with runtime dispatch

  # Full URL for the package's homepage/etc
  # Usually different from repository url
  url: https://github.com/google/highway

  # Human-readable identifier for this version/release
  # Generally "version NNN", "tag SSS", "bookmark SSS"
  release: 58b52a717469e62b2d9b8eaa2f5dddb44d4a4cbf (2024-02-18T00:29:12Z).

  # Revision to pull in
  # Must be a long or short commit SHA (long preferred)
  revision: 58b52a717469e62b2d9b8eaa2f5dddb44d4a4cbf

  # The package's license, where possible using the mnemonic from
  # https://spdx.org/licenses/
  # Multiple licenses can be specified (as a YAML list)
  # A "LICENSE" file must exist containing the full license text
  license: Apache-2.0

  license-file: LICENSE

vendoring:
  url: https://github.com/google/highway
  source-hosting: github
  vendor-directory: third_party/highway

  exclude:
    - g3doc/
